/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.twotone

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.TwoTone.SwipeDownAlt: ImageVector
    get() {
        if (_swipeDownAlt != null) {
            return _swipeDownAlt!!
        }
        _swipeDownAlt = materialIcon(name = "TwoTone.SwipeDownAlt") {
            materialPath(fillAlpha = 0.3f, strokeAlpha = 0.3f) {
                moveTo(12.0f, 9.0f)
                moveToRelative(-3.0f, 0.0f)
                arcToRelative(3.0f, 3.0f, 0.0f, true, true, 6.0f, 0.0f)
                arcToRelative(3.0f, 3.0f, 0.0f, true, true, -6.0f, 0.0f)
            }
            materialPath {
                moveTo(13.0f, 13.9f)
                curveToRelative(2.28f, -0.46f, 4.0f, -2.48f, 4.0f, -4.9f)
                curveToRelative(0.0f, -2.76f, -2.24f, -5.0f, -5.0f, -5.0f)
                reflectiveCurveTo(7.0f, 6.24f, 7.0f, 9.0f)
                curveToRelative(0.0f, 2.42f, 1.72f, 4.44f, 4.0f, 4.9f)
                verticalLineToRelative(4.27f)
                lineToRelative(-1.59f, -1.59f)
                lineTo(8.0f, 18.0f)
                lineToRelative(4.0f, 4.0f)
                lineToRelative(4.0f, -4.0f)
                lineToRelative(-1.41f, -1.41f)
                lineTo(13.0f, 18.17f)
                verticalLineTo(13.9f)
                close()
                moveTo(15.0f, 9.0f)
                curveToRelative(0.0f, 1.66f, -1.34f, 3.0f, -3.0f, 3.0f)
                reflectiveCurveToRelative(-3.0f, -1.34f, -3.0f, -3.0f)
                reflectiveCurveToRelative(1.34f, -3.0f, 3.0f, -3.0f)
                reflectiveCurveTo(15.0f, 7.34f, 15.0f, 9.0f)
                close()
            }
        }
        return _swipeDownAlt!!
    }

private var _swipeDownAlt: ImageVector? = null
